hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Radim Kolar (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-8901) GZip and Snappy support may not work without unversioned libraries
Date Mon, 22 Oct 2012 22:52:14 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-8901?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13481896#comment-13481896
] 

Radim Kolar commented on HADOOP-8901:
-------------------------------------

freebsd has always -dev packages installed because bsd do not splits include and other stuff
out of base packages.

determining correct version number at runtime should be fine. another problem is with libsnappy,
on bsd it have abi number 2 not 1

ls -l /usr/local/lib/libsnappy.*
-rw-r--r--  1 root  wheel  39776 Sep 14 13:48 /usr/local/lib/libsnappy.a
-rwxr-xr-x  1 root  wheel    951 Sep 14 13:48 /usr/local/lib/libsnappy.la
lrwxr-xr-x  1 root  wheel     14 Sep 14 13:48 /usr/local/lib/libsnappy.so -> libsnappy.so.2
-rwxr-xr-x  1 root  wheel  37639 Sep 14 13:48 /usr/local/lib/libsnappy.so.2

                
> GZip and Snappy support may not work without unversioned libraries
> ------------------------------------------------------------------
>
>                 Key: HADOOP-8901
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8901
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: native
>    Affects Versions: 2.0.3-alpha
>            Reporter: Colin Patrick McCabe
>            Assignee: Colin Patrick McCabe
>            Priority: Minor
>             Fix For: 3.0.0, 2.0.3-alpha
>
>         Attachments: HADOOP-8901.001.patch, HADOOP-8901.002.patch, HADOOP-8901.003.patch
>
>
> Currently, we use {{dlopen}} to open {{libz.so}} and {{libsnappy.so}}, to get Gzip and
Snappy support, respectively.
> However, this is not correct; we should be dlopening {{libsnappy.so.1}} instead.  The
versionless form of the shared library is not commonly installed except by development packages.
 Also, we may run into subtle compatibility problems if a new version of libsnappy comes out.
> Thanks to Brandon Vargo for reporting this bug.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message